{
  "name": "react-project-template",
  "version": "0.1.0",
  "description": "A project template for creating front-end (client-side) applications using React.js",
  "main": "index.js",
  "scripts": {
    "build": "gulp clean:dist && webpack",
    "build:major-release": "gulp --bump-version --type major build-release && webpack",
    "build:minor-release": "gulp --bump-version --type minor build-release && webpack",
    "build:patch-release": "gulp --bump-version build-release && webpack",
    "test": "jest --colors"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/kwaeri/node-kit-templates/projects/react/typescript"
  },
  "keywords": [
    "kwaeri",
    "react",
    "app",
    "my-new-typescript-react-project",
    "first-name",
    "last-name",
    "username"
  ],
  "author": "Richard B Winters <kirvedx@gmail.com>",
  "license": "Apache-2.0",
  "bugs": {
    "url": "https://gitlab.com/kwaeri/node-kit-templates/projects/react/typescript/issues"
  },
  "homepage": "https://gitlab.com/kwaeri/node-kit-templates/projects/react/typescript#README",
  "jest": {
    "collectCoverage": true,
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,ts,tsx}"
    ],
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "testRegex": "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json",
      "node"
    ],
    "moduleNameMapper": {
      "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/tests/__mocks__/fileMock.js",
      "\\.(css|scss)$": "identity-obj-proxy"
    },
    "testPathIgnorePatterns": [
      "<rootDir>/node_modules/",
      "<rootDir>/docs/",
      "<rootDir>/dist/",
      "<rootDir>/src/scss/"
    ]
  },
  "dependencies": {
    "cross-fetch": "^2.2.3",
    "react": "^16.6.3",
    "react-dom": "^16.6.3",
    "react-redux": "^5.0.7",
    "react-router-dom": "^4.3.1",
    "redux": "^4.0.0",
    "redux-thunk": "^2.3.0"
  },
  "devDependencies": {
    "@babel/core": "^7.2.0",
    "@babel/plugin-proposal-object-rest-spread": "^7.2.0",
    "@babel/preset-env": "^7.2.0",
    "@babel/preset-react": "^7.0.0",
    "@babel/register": "^7.0.0",
    "@kwaeri/user-experience": "^0.1.12",
    "@types/jest": "^23.3.10",
    "@types/prop-types": "^15.5.7",
    "@types/query-string": "^6.1.0",
    "@types/react": "^16.7.13",
    "@types/react-dom": "^16.0.11",
    "@types/react-redux": "^6.0.11",
    "@types/react-router-dom": "^4.3.0",
    "@types/react-test-renderer": "^16.0.2",
    "awesome-typescript-loader": "^5.2.0",
    "babel-jest": "^23.4.2",
    "babel-loader": "^8.0.2",
    "babel-register": "^6.26.0",
    "css-loader": "^1.0.0",
    "del": "^3.0.0",
    "file-loader": "^2.0.0",
    "gulp": "^3.9.1",
    "gulp-bump-version": "^0.1.1",
    "html-loader": "^0.5.5",
    "html-webpack-plugin": "^3.2.0",
    "identity-obj-proxy": "^3.0.0",
    "img-loader": "^3.0.0",
    "jest": "^23.5.0",
    "mini-css-extract-plugin": "^0.4.5",
    "node-sass": "^4.11.0",
    "postcss-loader": "^3.0.0",
    "prop-types": "^15.6.2",
    "react-test-renderer": "^16.6.3",
    "sass-loader": "^7.1.0",
    "source-map-loader": "^0.2.4",
    "style-loader": "^0.23.0",
    "ts-jest": "^23.10.5",
    "typescript": "^3.2.2",
    "typings-for-css-modules-loader": "^1.7.0",
    "url-loader": "^1.1.1",
    "webpack": "^4.27.1",
    "webpack-cli": "^3.1.0",
    "webpack-html-plugin": "^0.1.1"
  }
}

